E-Arogya - Feature #212

Feature # 110 (New): [LAB] Laboratory OP Module

[LAB] Create service for Lab Result entry
30/04/2024 05:10 PM - Srusvin Loka

Status: Resolved Start date: 20/06/2024
Priority: Normal Due date:

Assignee: Harish Beechani % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Lab OP (MVP) Spent time: 0:00 hour
Deployed In: Category: Service
Description

1. Create service to get test parameters list and parameter details based on the test-parameter mapping.
2. Create service to load pathologist dropdown values, reagents dropdown values, equipment dropdown values
3. Create SAVE service to save the lab Result entry. Upon saving the result, status of the Lab OrderID updates to Result entered

status.
4. Create UPDATE service to update the lab Result data.

5. Create DELETE result service to cancel the result entered and to rollback the Lab order status back to 'Received'.
History

#1 - 30/04/2024 05:38 AM - Sivakanth Kesiraju
- Target version set to Lab OP (MVP)

#2 - 21/06/2024 02:37 AM - Harish Beechani
- Assignee changed from Srusvin Loka to Harish Beechani

- Start date changed from 30/04/2024 to 20/06/2024

#3 - 21/06/2024 04:02 AM - Harish Beechani

- Status changed from New to In Progress

#4 - 12/07/2024 04:15 AM - Harish Beechani

- Status changed from In Progress to Resolved
